Karia
ReferencesOpenapiNovated asset

Get novated asset

GET
/organisation/{orgId}/workspace/{workspaceId}/novated-asset/{assetId}

Retrieve a novated asset in the specified organisation and workspace by numeric ID or asset reference ID.

ApiKeyAuth
headerx-api-key<token>

API key for authentication

orgId*string
workspaceId*string
assetId*string

Response Body

Successful response

application/json
  1. response
id*number
referenceId*string
status*string
name*string
description*string
type*string
fbtBenefitType*string
businessUsage*string|null
carImageUrl*string|null
createdAt*string
vehicle*|null
Example Request
curl -X GET 'https://app.np.aws.karia.com.au/api/v0/organisation/string/workspace/string/novated-asset/string'
Example Response
{  "id": 0,  "referenceId": "string",  "status": "string",  "name": "string",  "description": "string",  "type": "string",  "fbtBenefitType": "string",  "businessUsage": "string",  "carImageUrl": "string",  "createdAt": "string",  "vehicle": {    "id": 0,    "condition": "string",    "make": "string",    "model": "string",    "year": "string",    "badge": "string",    "bodyStyle": "string",    "transmission": "string",    "fuelType": "string",    "exteriorColour": "string",    "interiorColour": "string",    "driveType": "string",    "vin": "string",    "nvic": "string",    "registrationNumber": "string",    "stateOfRegistration": "string",    "registrationDate": "string",    "registrationRenewalDate": "string"  }}